%define version 0.89.9
%define release 3mdk

Summary:   lesstif
Name:      lesstif
Version:   %{version}
Release:   %{release}
Copyright: LGPL
#Packager:  LessTif Releasemeister <lesstif@hungry.com>
Group:     System/Libraries
Source:    ftp://ftp.hungry.com/pub/hungry/lesstif/lesstif-%{version}.tar.bz2
Source1:   mwm-menumethod
Patch0:    lesstif-mdk-menu.patch.bz2
BuildRoot: /var/tmp/lesstif-%{PACKAGE_VERSION}-root
BuildRequires: flex XFree86-devel bison xpm-devel

%description
Lesstif is an API compatible clone of the Motif toolkit.
Currently Lesstif is partially implemented with most of the API in place.
Having said this, some of the internal functionality is still missing.
Many Motif applications compile and run out-of-the-box with LessTif,
and we want to hear about those that don't.

%package mwm
Summary: Lesstif Motif window manager clone based on fvwm
Group: Graphical desktop/Other
Requires: menu
%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%package clients
Summary: lesstif clients
Group: Graphical desktop/Other
%description clients
Uil and xmbind.

%package devel
Group: Development/C
Summary: static library and header files for Lesstif/Motif-1.2 development
Requires: lesstif
%description devel
This package contains the lesstif static library and header files
required to develop motif-1.2-based applications.
Package also conntains development documentation in html (Lessdox), and
mxmkmf for Lesstif.

%prep
%setup -n lesstif-%{version}
%patch0 -p0 -b .mdk
# fix time sync problems with lesstif-current...
# Only needed if you're building from a source tar very soon after release
# and are in a different timezone than the hungry.com folks (who are in PST,
# I think).  Uncomment this if you're bleeding-edge enough to need it.
#  -- Scott <cananian@alumni.princeton.edu>
#touch now
#touch `find . -newer now` now
#rm -f now
#rm -rf $RPM_BUILD_ROOT

LESSTIFTOP=$PWD

CFLAGS="$RPM_OPT_CFLAGS"  %configure --prefix=/usr/X11R6 --enable-shared --enable-static --enable-build-12 --enable-build-20 --disable-maintainer-mode --enable-build-Xlt --enable-build-Xbae

%build
make

%install
#chmod a-x [A-Z]*
make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11
ln -sf ../../usr/X11R6/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11/mwm

install -d $RPM_BUILD_ROOT/usr/X11R6/man
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -c -m 644 doc/lessdox/clients/mwmrc.5   $RPM_BUILD_ROOT/usr/X11R6/man/man5
install -c -m 644 doc/lessdox/clients/mwm.1     $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/clients/lesstif.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/clients/xmbind.1  $RPM_BUILD_ROOT/usr/X11R6/man/man1
install -c -m 644 doc/lessdox/*/*.html $RPM_BUILD_ROOT/usr/X11R6/LessTif/doc/Lessdox || :

# generate config files 
cd $RPM_BUILD_ROOT/usr/X11R6/lib/X11/config;

mv Imake.tmpl Imake-lesstif.tmpl.orig


perl -ne ' 
    if( /#include <Imake.rules>/ ){              
        print $_;
        print "#include <Motif-lesstif.tmpl>\n";
        print "#include <Motif-lesstif.rules>\n";
    }
    elsif ( /IMAKE_CMD = \$\(IMAKE\)/ ){
        print STDERR "found\n";
        s|\$\(IMAKE\)|\$(IMAKE) -T Imake-lesstif.tmpl|;
        print $_;
    }
    else {
        print $_;
    }
' < /usr/X11R6/lib/X11/config/Imake.tmpl > Imake-lesstif.tmpl


mv Motif.rules Motif-lesstif.rules
mv Motif.tmpl  Motif-lesstif.tmpl

cd $RPM_BUILD_ROOT/usr/X11R6/bin
sed -e 's/imake $args/imake -T Imake-lesstif.tmpl $args/' < `which xmkmf` > mxmkmf

# cleanup in a preparation for an installation - unify layout

( cd $RPM_BUILD_ROOT/usr/X11R6/LessTif ; \
  mv doc/man/man1/* ../man/man1 ; \
  mv doc/man/man3/* ../man/man3 ; \
  mv doc/man/man5/* ../man/man5 ; \
  rm -rf doc/man )

# menu support
mv $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mwm/system.mwmrc $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mwm/system.mwmrc-menu
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods $RPM_BUILD_ROOT/usr/lib/menu
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/menu-methods/%{name}-mwm
cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name}-mwm << EOF
?package(%{name}-mwm): needs=wm section=Session/Windowmanagers title=Mwm command=mwm
EOF

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post mwm
update-menus

%postun mwm
update-menus

%clean
#do this manually; it's a better idea
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc etc/{example.motifbind,motifbind.sun+linux}
%doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS
%doc CURRENT_NOTES ChangeLog KNOWN_BUGS NEWS NOTES
%doc README RELEASE-POLICY TODO
%doc doc/www.lesstif.org/FAQ
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif1.2/lib
%attr(755, root, root) /usr/X11R6/LessTif/Motif1.2/lib/*.so.*
%attr(755, root, root) /usr/X11R6/LessTif/Motif2.0/lib/*.so.*
%attr(755, root, root) /usr/X11R6/lib/*.so.*
%doc %dir /usr/X11R6/LessTif/doc
%attr(-, root, root) /usr/X11R6/LessTif/doc/*
%attr(644, root, root) /usr/X11R6/man/man1/lesstif.1*

%files mwm
%defattr(-,root,root,755)
%doc clients/Motif-1.2/mwm/{COPYING,README}
%config /etc/menu-methods/%{name}-mwm
%attr(755, root, root) %dir /etc/X11/mwm
%attr(755, root, root) %dir /usr/X11R6/lib/X11/mwm
%attr(755, root, root) /usr/X11R6/bin/mwm
%attr(644, root, root) /usr/X11R6/lib/X11/mwm/*
%attr(644, root, root) /usr/X11R6/lib/X11/app-defaults/Mwm
%attr(644, root, root) /usr/X11R6/man/man1/mwm.1*
%attr(644, root, root) /usr/X11R6/man/man5/mwmrc.5*
%attr(644, root, root) /usr/lib/menu/%{name}-mwm

%files clients
%defattr(-,root,root,755)
%doc doc/UIL.txt
%attr(755, root, root) /usr/X11R6/bin/uil
%attr(755, root, root) /usr/X11R6/bin/xmbind
%attr(644, root, root) /usr/X11R6/man/man1/xmbind.1*

%files devel
%defattr(-,root,root,755)
%doc etc/README.linuxaout
#%doc doc/lessdox/*/*.html
%attr(755, root, root) %dir /usr/X11R6/include/Mrm
%attr(755, root, root) %dir /usr/X11R6/include/Xm
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif1.2/include
%attr(644, root, root) /usr/X11R6/LessTif/Motif1.2/include/Xm/*
%attr(644, root, root) /usr/X11R6/LessTif/Motif1.2/include/Mrm/*
%attr(755, root, root) /usr/X11R6/LessTif/Motif1.2/lib/*.so
%attr(755, root, root) /usr/X11R6/LessTif/Motif1.2/lib/*.a
%attr(755, root, root) /usr/X11R6/LessTif/Motif1.2/lib/*.la
%attr(644, root, root) /usr/X11R6/lib/*.so
%attr(644, root, root) /usr/X11R6/lib/*.a
%attr(644, root, root) /usr/X11R6/lib/*.la
%attr(755, root, root) %dir /usr/X11R6/LessTif/Motif2.0/include
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/include/Xm/*
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/include/Mrm/*
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/lib/*.so
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/lib/*.a
%attr(644, root, root) /usr/X11R6/LessTif/Motif2.0/lib/*.la
%attr(755, root, root) /usr/X11R6/bin/mxmkmf
%attr(755, root, root) %dir /usr/X11R6/include/Xlt
%attr(755, root, root) %dir /usr/X11R6/include/Xbae
%attr(644, root, root) /usr/X11R6/lib/X11/config/*
%attr(644, root, root) /usr/X11R6/man/man3/*

%changelog
* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.89.9-3mdk
- fixed menu method.

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.89.9-2mdk
- menu support.
- group fix.

* Sat Feb 12 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.89.9-1mdk
- 0.89.9.
- put *.so in devel package.
- added man pages from section 3 to the devel package.
- bzipped man pages.
- merged spec file from the tar ball.

* Tue Nov 16 1999 Lenny Cartier <lenny@mandrakesoft.com>

- v0.89.4
- use the specfile from www.lesstif.org to fix conflicts problems

* Tue Oct 23 1999 Danny Backx <danny@hungry.com>
- try to integrate Michal's stuff in lesstif.spec.in
- don't treat Xbae, Xlt separately
- compile for 2.0 as well as for 1.2
- compile Xbae, Xlt by default

* Tue Oct 19 1999 Michal Jaegermann <michal@harddata.com>              (0.89)
- Updated to version 0.89
- Reorganized spec file to follow closer its own descriptions
- Xlt does not require special make anymore.

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>        (0.80-2)
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).

* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%{PACKAGE_VERSION} macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.




